from birds import views
from django.urls import path

app_name = "birds"

urlpatterns = [
    path(
        "birding-locations/",
        views.BirdingLocationListView.as_view(),
        name="birding_location_list",
    ),
    path(
        "birding-locations/<slug:slug>/",
        views.BirdingLocationDetailView.as_view(),
        name="birding_location_detail",
    ),
    path(
        "birds/",
        views.BirdListView.as_view(),
        name="bird_list",
    ),
    path(
        "birds/<slug:slug>/",
        views.BirdDetailView.as_view(),
        name="bird_detail",
    ),
    path(
        "upload/birding-csv/",
        views.BirdingCSVImportCreateView.as_view(),
        name="csv-upload",
    ),
    path(
        "imports/birding-csv/<slug:slug>/",
        views.BirdingCSVImportDetailView.as_view(),
        name="csv_import_detail",
    ),
]
